import request from '@/utils/request'

export function listSkill(query) {
  return request({
    url: '/skill/list',
    method: 'get',
    params: query
  })
}

export function createSkill(data) {
  return request({
    url: '/skill/create',
    method: 'post',
    data
  })
}

export function readSkill(data) {
  return request({
    url: '/skill/read',
    method: 'get',
    data
  })
}

export function updateSkill(data) {
  return request({
    url: '/skill/update',
    method: 'post',
    data
  })
}

export function deleteSkill(data) {
  return request({
    url: '/skill/delete',
    method: 'post',
    data
  })
}

export function bingdingSkill(data) {
  return request({
    url: '/skill/binding',
    method: 'post',
    data
  })
}

export function getSkill(data) {
  return request({
    url: '/skill/users',
    method: 'get',
    params: data
  })
}
